Bug 143045 - ACPI suspend crashes Thinkpad T21
Summary: ACPI suspend crashes Thinkpad T21
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 3
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FCMETA_ACPI
TreeView+ depends on / blocked
 
Reported: 2004-12-15 22:31 UTC by Piotr Gawrysiak
Modified: 2015-01-04 22:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-07 08:00:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Piotr Gawrysiak 2004-12-15 22:31:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
ACPI suspend (echo -n 3 > /proc/acpi/sleep) puts Thinkpad T21 to sleep
properly (however the ultrabay led stays on, and should probably not),
but on resume the system crashes with error message.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Issue ACPI sleep command (echo -n 3 > /proc/acpi/sleep)
2. Wait for sleep mode completion, press power button
3. 
    

Actual Results:  Crash log produced after "Back to C!" message

Expected Results:  System should wake up normally

Additional info:

Same behaviour in console and when launched from running X session

Comment 1 Dave Jones 2005-07-15 18:23:37 UTC
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.

Comment 2 Dave Jones 2005-12-07 08:00:17 UTC
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug with current FC3 updates, please
reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

If you are not the reporter, but can reproduce this problem against
FC4, please open a new bug.

Thank you.



Note You need to log in before you can comment on or make changes to this bug.